# element.h File Reference

`#include <glibmm.h>`
`#include <gst/gstelement.h>`
`#include <gstreamermm/object.h>`
`#include <gstreamermm/clock.h>`
`#include <gstreamermm/enums.h>`
`#include <gstreamermm/event.h>`
`#include <gstreamermm/message.h>`
`#include <gstreamermm/query.h>`
`#include <stdexcept>`

Go to the source code of this file.

## Namespaces

namespace | Gst
namespace | Gst::Enums
namespace | Glib

## Classes

class | Gst::Element
| Gst::Element - Abstract base class for all pipeline elements. More...
class | Gst::ElementInterfaced<T_Interface>
| Templated class used for casting Gst::Element to interfaces that its underlying gobject implements. More...

## Enumerations

enum | Gst::ElementFlags { Gst::ELEMENT_LOCKED_STATE = GST_OBJECT_FLAG_LAST << 0, Gst::ELEMENT_IS_SINK = GST_OBJECT_FLAG_LAST << 1, Gst::ELEMENT_UNPARENTING = GST_OBJECT_FLAG_LAST << 2, Gst::ELEMENT_FLAG_LAST = GST_OBJECT_FLAG_LAST << 16 }

enum

Gst::StateChange {
Gst::STATE_CHANGE_NULL_TO_READY = GST_STATE_CHANGE_NULL_TO_READY,
Gst::STATE_CHANGE_READY_TO_PAUSED = GST_STATE_CHANGE_READY_TO_PAUSED,
Gst::STATE_CHANGE_PAUSED_TO_PLAYING = GST_STATE_CHANGE_PAUSED_TO_PLAYING,
Gst::STATE_CHANGE_PLAYING_TO_PAUSED = GST_STATE_CHANGE_PLAYING_TO_PAUSED,
Gst::STATE_CHANGE_PAUSED_TO_READY = GST_STATE_CHANGE_PAUSED_TO_READY,
Gst::STATE_CHANGE_READY_TO_NULL = GST_STATE_CHANGE_READY_TO_NULL
}

enum | Gst::StateChangeReturn { Gst::STATE_CHANGE_FAILURE, Gst::STATE_CHANGE_SUCCESS, Gst::STATE_CHANGE_ASYNC, Gst::STATE_CHANGE_NO_PREROLL }

## Functions

Glib::ustring | Gst::Enums::get_name (State state)
| Gets a string representing the given state.
Glib::ustring | Gst::Enums::get_name (StateChangeReturn state_ret)
| Gets a string representing the given state change result.